package cz.jzitnik.game;

import cz.jzitnik.game.items.ItemType;
import lombok.Getter;

import java.util.Optional;

@Getter
public class Block {
    private String blockId;
    private SpriteLoader.SPRITES sprite;
    private Optional<Enum> spriteState = Optional.empty();
    private boolean ghost = false;
    private int hardness = 1;
    private Optional<ItemType> tool = Optional.empty();

    public Block(String blockId, SpriteLoader.SPRITES sprite) {
        this.blockId = blockId;
        this.sprite = sprite;
    }

    public Block(String blockId, SpriteLoader.SPRITES sprite, boolean ghost) {
        this.blockId = blockId;
        this.sprite = sprite;
        this.ghost = ghost;
    }

    public Block(String blockId, SpriteLoader.SPRITES sprite, int hardness) {
        this.blockId = blockId;
        this.sprite = sprite;
        this.hardness = hardness;
    }

    public Block(String blockId, SpriteLoader.SPRITES sprite, int hardness, ItemType tool) {
        this.blockId = blockId;
        this.sprite = sprite;
        this.hardness = hardness;
        this.tool = Optional.of(tool);
    }

    public void setSpriteState(Enum spriteState) {
        this.spriteState = Optional.of(spriteState);
    }
}
