package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.ResourceLoader;
import cz.jzitnik.tui.Sprite;

public class Breaking extends Sprite {
    public enum BreakingState {
        FIRST,
        SECOND,
        THIRD
    }

    private String fix(String x) {
        return x.replaceAll("\033\\[38;5;1;48;5;16m", "\033[0m");
    }

    public String getSprite() {
        return fix(ResourceLoader.loadResource("breaking/1.ans"));
    }

    public String getSprite(Enum key) {
        return fix(ResourceLoader.loadResource(switch (key) {
            case BreakingState.FIRST -> "breaking/1.ans";
            case BreakingState.SECOND -> "breaking/2.ans";
            case BreakingState.THIRD -> "breaking/3.ans";
            default -> throw new IllegalStateException("Unexpected value: " + key);
        }));
    }
}
